package com.fr.plugin.xx.zyjn.decode.encode;

import com.fr.io.collection.ExportCollection;
import com.fr.io.exporter.AppExporter;
import com.fr.plugin.xx.zyjn.decode.LogUtils;
import com.fr.web.core.ReportSessionIDInfor;
import com.fr.web.core.reserve.DefaultExportExtension;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @Author xx
 * @Date 2022/3/7
 * @Description
 **/
public class EncodeExportExtensionProvider extends DefaultExportExtension {

    @Override
    public ExportCollection createCollection(HttpServletRequest req, HttpServletResponse res,
                                             ReportSessionIDInfor info, String format, String filename, boolean isEmbed) throws Exception {
        ExportCollection collection = super.createCollection(req, res, info, format, filename, isEmbed);
        LogUtils.debug4plugin("get encode exporter");
        AppExporter exporter = collection.getExporter();
        collection.setExporter(new EncryptExporter(exporter));
        return collection;
    }
}